<form [formGroup]="form">
    <div class="form-group" *ngIf="['create', 'edit'].indexOf(mode) !== -1">
        <label>{{ 'Role' | translate }}</label>
        <select class="custom-select" formControlName="roleId" required autofocus
               [class.is-invalid]="submitted && ((errors.roleId && errors.roleId.length) || roleId.invalid)"
               *ngIf="roles$ | async; let roles;">
            <ng-container *ngFor="let role of roles">
                <option [value]="role.id">{{ role.name }}</option>
            </ng-container>
        </select>
        <span class="invalid-feedback" role="alert" *ngIf="errors.roleId || roleId.invalid">
            <strong *ngIf="roleId.errors && roleId.errors.required">{{ 'Fill this field' | translate }}</strong>
            <strong *ngFor="let msg of errors.roleId">{{ msg }}</strong>
        </span>
    </div>
    <div class="form-group">
        <label>{{ 'First name' | translate }}</label>
        <input type="text" class="form-control" formControlName="firstName"
               [class.is-invalid]="submitted && ((errors.firstName && errors.firstName.length) || firstName.invalid)">
        <span class="invalid-feedback" role="alert" *ngIf="errors.firstName || firstName.invalid">
            <strong *ngIf="firstName.errors && firstName.errors.required">{{ 'Fill this field' | translate }}</strong>
            <strong *ngFor="let msg of errors.firstName">{{ msg }}</strong>
        </span>
    </div>
    <div class="form-group">
        <label>{{ 'Last name' | translate }}</label>
        <input type="text" class="form-control" formControlName="lastName"
               [class.is-invalid]="submitted && ((errors.lastName && errors.lastName.length) || lastName.invalid)">
        <span class="invalid-feedback" role="alert" *ngIf="errors.lastName || lastName.invalid">
            <strong *ngIf="lastName.errors && lastName.errors.required">{{ 'Fill this field' | translate }}</strong>
            <strong *ngFor="let msg of errors.lastName">{{ msg }}</strong>
        </span>
    </div>
    <div class="form-group">
        <label>{{ 'E-mail' | translate }}</label>
        <input type="email" class="form-control" formControlName="email"
               [class.is-invalid]="submitted && ((errors.email && errors.email.length) || email.invalid)">
        <span class="invalid-feedback" role="alert" *ngIf="errors.email || email.invalid">
            <strong *ngIf="email.errors && email.errors.required">{{ 'Fill this field' | translate }}</strong>
            <strong *ngIf="email.errors && email.errors.email">{{ 'Enter a valid email' | translate }}</strong>
            <strong *ngFor="let msg of errors.email">{{ msg }}</strong>
        </span>
    </div>
    <div class="form-group">
        <label>{{ 'Password' | translate }}</label>
        <input type="password" class="form-control" formControlName="password"
               [class.is-invalid]="submitted && ((errors.password && errors.password.length) || password.invalid)">
        <span class="invalid-feedback" role="alert" *ngIf="errors.password || password.invalid">
            <strong *ngIf="password.errors && password.errors.required">{{ 'Fill this field' | translate }}</strong>
            <strong *ngFor="let msg of errors.password">{{ msg }}</strong>
        </span>
    </div>
    <div class="form-group">
        <label>{{ 'Password confirmation' | translate }}</label>
        <input type="password" class="form-control" formControlName="passwordConfirmation"
               [class.is-invalid]="submitted && ((errors.passwordConfirmation && errors.passwordConfirmation.length) || passwordConfirmation.invalid)">
        <span class="invalid-feedback" role="alert" *ngIf="errors.passwordConfirmation || passwordConfirmation.invalid">
            <strong *ngIf="passwordConfirmation.errors && passwordConfirmation.errors.required">{{ 'Fill this field' | translate }}</strong>
            <strong *ngIf="passwordConfirmation.errors && passwordConfirmation.errors.mustMatch">{{ "Password confirmation doesn't match" | translate }}</strong>
            <strong *ngFor="let msg of errors.passwordConfirmation">{{ msg }}</strong>
        </span>
    </div>
    <div class="form-group">
        <label>{{ 'Profile photo' | translate }}</label>
        <image-cropper [src]="user ? user.avatar : null" [ratio]="1" (imageCropped)="onAvatarCropped($event)" #cropper></image-cropper>
    </div>
</form>